routes/web.php
<?php

use App\Http\Controllers\MessagesController;
use App\Http\Controllers\VideoRTCController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// SULINK STORES
Route::prefix('/')->group(function () {
    Route::name('messages.')->group(function () {
        Route::get('/', [MessagesController::class, 'index'])->name('index');
        Route::get('/adicionar', [MessagesController::class, 'create'])->name('create');
        Route::post('/adicionar', [MessagesController::class, 'store'])->name('store');
        Route::get('/visualizando/{id}', [MessagesController::class, 'show'])->name('show');
        Route::get('/desabilitar/{id}', [MessagesController::class, 'destroy'])->name('destroy');
        Route::get('/editar/{id}', [MessagesController::class, 'edit'])->name('edit');
        Route::put('/editar/{id}', [MessagesController::class, 'update'])->name('update');
    });
});

// SULINK STORES
Route::prefix('/video')->group(function () {
    Route::name('video.')->group(function () {
        Route::get('/', [VideoRTCController::class, 'index'])->name('index');
        Route::get('/adicionar', [VideoRTCController::class, 'create'])->name('create');
        Route::post('/adicionar', [VideoRTCController::class, 'store'])->name('store');
        Route::get('/visualizando/{id}', [VideoRTCController::class, 'show'])->name('show');
        Route::get('/desabilitar/{id}', [VideoRTCController::class, 'destroy'])->name('destroy');
        Route::get('/editar/{id}', [VideoRTCController::class, 'edit'])->name('edit');
        Route::put('/editar/{id}', [VideoRTCController::class, 'update'])->name('update');
    });
});

Route::post('/broadcasting/auth', function () {
    return Auth::user();
});

app/Models/Message.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Message extends Model
{
    use HasFactory;
}

app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'password' => 'hashed',
    ];
}

app/Models/Video.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Video extends Model
{
    use HasFactory;
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;
}

app/Http/Controllers/MessagesController.php
<?php

namespace App\Http\Controllers;

use App\Events\ChatMessageEvent;
use App\Models\Message;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class MessagesController extends Controller
{
    protected $request;
    private $repository;
    
    public function __construct(Request $request, Message $content)
    {
        
        $this->request = $request;
        $this->repository = $content;

    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        // GET ALL DATA
        // $contents = Message::orderBy('name', 'ASC')->get();

        // RETURN VIEW WITH DATA
        return view('pages.messages.index', [
            // 'contents' => $contents,
        ]);

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $message = $request->text;
        $user = Auth::user();
        
        // Envie o evento de broadcast
        broadcast(new ChatMessageEvent($message))->toOthers();

        return response()->json(['message' => 'Mensagem enviada com sucesso']);

    }

}

app/Http/Controllers/VideoRTCController.php
<?php

namespace App\Http\Controllers;

use App\Models\Video;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class VideoRTCController extends Controller
{
    protected $request;
    private $repository;
    
    public function __construct(Request $request, Video $content)
    {
        
        $this->request = $request;
        $this->repository = $content;

    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        // GET ALL DATA
        // $contents = Message::orderBy('name', 'ASC')->get();

        // RETURN VIEW WITH DATA
        return view('pages.videos.index', [
            // 'contents' => $contents,
        ]);

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $message = $request->text;
        $user = Auth::user();
        
        // Envie o evento de broadcast
        // broadcast(new ChatMessageEvent($message))->toOthers();

        return response()->json(['message' => 'Mensagem enviada com sucesso']);

    }
}

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Mensagens</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Jost:wght@100..900&display=swap" rel="stylesheet">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <script src="{{ asset('js/app.js') }}" defer></script>
    <style>
        body {
            font-family: 'Jost', sans-serif;
            font-weight: 600;
        }
    </style>
</head>
<body class="" style="background: #00bcd4;">
    <div class="container my-5">
        @yield('content')
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js" integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    @yield('custom-footer')
</body>
</html>

resources/views/pages/messages/index.blade.php
@extends('layouts.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="card shadow border-0">
            <div class="card-body">
                <h2 class="text-center fs-4 text-uppercase fw-bold py-2">Chat em tempo real</h2>
                <div class="w-100 rounded bg-light p-4" style="min-height: 400px">
                    <div class="msg-chat">
                        {{-- <span class="p-2 rounded bg-white shadow-lg">
                            Olá, tudo bem?
                        </span> --}}
                    </div>
                </div>
                <div class="text-end">
                    <form action="/" method="post" enctype="multipart/form-data" id="form-message">
                        @csrf
                        <input type="text" name="message" id="" class="form-control mt-3 bg-light">
                        <button type="submit" class="btn btn-sm btn-success mt-2 px-4 fw-bold">ENVIAR</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('custom-footer')
<script>
    $(document).ready(function() {

        $(document).on('submit', '#form-message', function(e){

            e.preventDefault();

            // GET ROUTE
            var url = "{!! route('messages.store') !!}";
            var text = $(this).find('[name="message"]').val();

            $.ajax({
                type:'POST',
                url: url,
                data: {
                    _token: @json(csrf_token()), 
                    text: text,
                },
                success:function(data) {
                    $('[name="message"]').val('');
                    $('.msg-chat').append('<p class=""><span class="p-2 rounded bg-white shadow-lg">Eu: ' + text + '</span></p>');
                }
            });

        });

        Echo.channel(`chat-channel`).listen('ChatMessageEvent', (e) => {
            console.log(e);
            $('.msg-chat').append('<p class="text-end"><span class="p-2 rounded bg-white shadow-lg">Cliente: ' + e.message + '</span></p>');
        });
    });

</script>
@endsection

resources/views/pages/videos/index.blade.php
@extends('layouts.app')

@section('content')
<div class="row">
    <div class="col-12">
        <div class="card shadow border-0">
            <div class="card-body">
                sadsa
            </div>
        </div>
    </div>
</div>
@endsection

@section('custom-footer')
<script>
    $(document).ready(function() {


        
    });
</script>
@endsection